using Foxchat.Chat.Middleware;
using Foxchat.Chat.Services;
using Foxchat.Core.Middleware;

namespace Foxchat.Chat.Extensions;

public static class WebApplicationExtensions
{
    public static IServiceCollection AddCustomMiddleware(this IServiceCollection services)
    {
        return services
            .AddScoped<ErrorHandlerMiddleware>()
            .AddScoped<ServerAuthenticationMiddleware>();
    }

    public static IApplicationBuilder UseCustomMiddleware(this IApplicationBuilder app)
    {
        return app
            .UseMiddleware<ErrorHandlerMiddleware>()
            .UseMiddleware<ServerAuthenticationMiddleware>();
    }

    public static IServiceCollection AddChatServices(this IServiceCollection services)
    {
        return services
            .AddScoped<UserResolverService>();
    }
}